/* diabasma asci file

0010561150120201
00123091988
0011146120120202
00112051975

data old1;
      infile 'c:\biki\leuk\leuk1.kog';
      input aa1 1-3 caco 4 clinic 5 inter 6 hos 7 iday 8-9 imon 10-11
            iyer 12-13 sex 14 
           /aa2 1-3 bday 4-5 bmon 6-7 byer 8-11;
run;
*/ /*


filename agl1 dde 'EXCEL | Sheet1! R2C1:R9C13';
data a;
length  count  aa caco sex bday bmon byer score1 score2 score3  8 
kliniki esye DTP1  $12;
infile agl1 dlm='09'x notab DSD missover lrecl=500;
input count kliniki aa caco sex score1 score2 score3 bday bmon byer  esye DTP1  ;
run;

*/ /* apo log 

NOTE: The infile AGL1 is:
      DDE Session,
      SESSION=EXCEL | Sheet1! R2C1:R9C13,RECFM=V,
      LRECL=5500

NOTE: 8 records were read from the infile AGL1.
      The minimum record length was 43.
      The maximum record length was 47.
NOTE: The data set WORK.A has 8 observations and 13 variables.
NOTE: DATA statement used (Total process time):
      real time           0.62 seconds
      cpu time            0.01 seconds

*/ /* enallaktika xrisimopoio to import*/

PROC IMPORT OUT= WORK.A 
            DATAFILE= "C:\Users\user\Desktop\SAS Biostat\metaptixiako.xlsx" 
            DBMS=EXCEL REPLACE;
     RANGE="Sheet1$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;
PROC IMPORT OUT= WORK.b 
            DATAFILE= "C:\Users\user\Desktop\SAS Biostat\metaptixiako.xlsx" 
            DBMS=EXCEL REPLACE;
     RANGE="NIKOS$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;
PROC IMPORT OUT= WORK.c 
            DATAFILE= "C:\Users\user\Desktop\SAS Biostat\metaptixiako.xlsx" 
            DBMS=EXCEL REPLACE;
     RANGE="Sheet3$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;


libname save 'C:\Users\Student\Desktop\sas';

data save.databioa;
set a;
run;

data save.databiob;
set b;
run;

data save.databioc;
set c;
run;


* NEW START;

libname save 'C:\Users\Student\Desktop\sas';

data a;
set save.databioa;

data b;
set save.databiob;

data c;
set save.databioc;
run;

proc sort data=a; by aa caco ;
proc sort data=b; by aa caco;
data ab;
merge a b;
by aa caco;

data abc;
set ab c;
run;

* dimiourgo monimo arxeio;

data save.databio;
set abc;
run;


/* ta apano pleon de xreiazetai na ta ksanadiabaso afou etoimasa to monimo arxeio */
/* mono i entoli me ton orismo tis bibliothikis tha prepei na ksanagrafei*/

data a;
set save.databio;
*set abc;

data a;
set a;

if count<21 then coder=1 ; else coder=2;
if sex=1 then sex=0; else sex=1;
score=score1+score2+score3;

if kliniki='??1' then do; 
tmima=1; 
orofo=1; 
end; 
else
if kliniki in ('??2' '??3') then do; tmima=2; orofo=2; end; else 
do; tmima=3; orofo=4; end;

if tmima=1 then tmima1=1; else tmima1=0;
if tmima=2 then tmima2=1; else tmima2=0;
if tmima=3 then tmima3=1; else tmima3=0;

age=round((mdy(dmon,dday,dyer)-mdy(bmon,bday,byer))/365.25);


run;

proc freq;
tables age;
run;

data a;
set a;
if age=. then do; bday=28; age=round((mdy(dmon,dday,dyer)-mdy(bmon,bday,byer))/365.25); end;

if age<5 then gage=1; else
if age<10 then gage=2; else gage=3;

run;


proc freq;
tables age gage;
run;

proc freq;
tables _all_; run;

proc freq;
tables esye1; run;


data b (drop=kk);
length  DTP11  $38  esye1 $12 dtp111 esye11 8;
set a;

DTP11=compress(DTP1,'/'); 
dtp111=dtp11;

kk=length(esye); 

if kk=7 then esye1=('0'||esye); else esye1=esye;
esye11=compress(esye1,'A');

array newscore{3} nscore1 nscore2 nscore3;
array oldscore{3} score1 score2 score3;

do i=1 to 3;
newscore{i}=oldscore{i}+3;
end;

difscore=score1-score2;
run;

options ps=250;

* options ls=186;


proc freq;
tables _all_; run;

proc freq;
tables age gage*sex; 
run;


proc print;
*where sex=1; 
var aa age gage kliniki orofo tmima dtp1 dtp11 dtp111 dtp2 score1 nscore1 esye esye1 esye11;
run;

data males;
set b;
if sex=0 then output;

data girls;
set b;
where sex=1;
run;

data b;
set b;
run;


proc univariate  ;
	var age;
	histogram / normal ;
run;

proc univariate ;
	class sex;
	var age;
	histogram / normal ncols=2;
	run;


proc gchart ;
	pie sex / value=inside percent=inside;
run;


proc univariate;
var age score ;
run;

proc means;
var age score;

proc means;
var age score;
class sex;
run;


proc freq;
tables gage*sex/chisq fisher;
run;

proc freq;
where gage^=1;
*where gage in (1 2);
tables gage*sex/fisher;
run;


proc ttest;
var age score;
class sex;
run;

proc npar1way;
var age ;
class sex;
run;

proc means mean stddev t prt;
var difscore; run;

proc univariate;
var difscore;
run;

proc corr;
var score1 score2 score3;
run;

proc corr spearman;
var score1 score2 score3;
run;


proc reg ;
model score=sex gage tmima /clb; quit; 


proc reg ;
model score=sex gage tmima1 tmima2 /clb; quit; 


proc means;
var score;
class tmima;
run; 
